NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Annotations.CenterlineCollection Class Reference

Represents a collection of NXOpen.Annotations.Centerline objects More...

Inheritance diagram for NXOpen.Annotations.CenterlineCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe
NXOpen.Annotations.AutomaticCenterlineBuilder 
CreateAutomaticCenterlineBuilder ()
 Creates the AutomaticCenterlineBuilder More...
 
unsafe
NXOpen.Annotations.BoltCircleCenterlineBuilder 
CreateBoltCircleCenterlineBuilder (NXOpen.Annotations.BoltCircleCenterline centerline)
 Creates the BoltCircleCenterline builder More...
 
unsafe
NXOpen.Annotations.Centerline2dBuilder 
CreateCenterline2dBuilder (NXOpen.Annotations.Centerline2d cline)
 Creates the 2D Centerline builder More...
 
unsafe
NXOpen.Annotations.Centerline3dBuilder 
CreateCenterline3dBuilder (NXOpen.Annotations.Centerline3d cline)
 Creates the 3D Centerline builder More...
 
unsafe
NXOpen.Annotations.CenterMarkBuilder 
CreateCenterMarkBuilder (NXOpen.Annotations.CenterMark centerline)
 Creates the CenterMark Builder More...
 
unsafe
NXOpen.Annotations.CircularCenterlineBuilder 
CreateCircularCenterlineBuilder (NXOpen.Annotations.CircularCenterline centerline)
 Creates the CircularCenterline builder More...
 
unsafe
NXOpen.Annotations.PmiBoltCircleCenterlineBuilder 
CreatePmiBoltCircleCenterlineBuilder (NXOpen.Annotations.PmiBoltCircleCenterline centerline)
 Creates the PMI BoltCircleCenterline builder More...
 
unsafe
NXOpen.Annotations.PmiCenterline3dBuilder 
CreatePmiCenterline3dBuilder (NXOpen.Annotations.PmiCenterline3d cline)
 Creates the Pmi 3D Centerline builder More...
 
unsafe
NXOpen.Annotations.PmiCenterMarkBuilder 
CreatePmiCenterMarkBuilder (NXOpen.Annotations.PmiCenterMark centerline)
 Creates the Pmi CenterMark Builder More...
 
unsafe
NXOpen.Annotations.SymmetricalCenterlineBuilder 
CreateSymmetricalCenterlineBuilder (NXOpen.Annotations.SymmetricalCenterline centerline)
 Creates the Symmetrical Centerline builder More...
 
unsafe
NXOpen.Annotations.Centerline 
FindObject (string journalIdentifier)
 Finds the Centerline with the given name. More...
 
NXOpen.Annotations.Centerline[] ToArray ()
 Returns an array of NXOpen.Annotations.Centerline objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Annotations.Centerline objects

To obtain an instance of this class, refer to NXOpen.Annotations.AnnotationManager

Created in NX6.0.0

Member Function Documentation

unsafe NXOpen.Annotations.AutomaticCenterlineBuilder NXOpen.Annotations.CenterlineCollection.CreateAutomaticCenterlineBuilder ( )
inline

Creates the AutomaticCenterlineBuilder

Created in NX6.0.0

License requirements: None.

Returns
AutomaticCenterlineBuilder object
unsafe NXOpen.Annotations.BoltCircleCenterlineBuilder NXOpen.Annotations.CenterlineCollection.CreateBoltCircleCenterlineBuilder ( NXOpen.Annotations.BoltCircleCenterline  centerline)
inline

Creates the BoltCircleCenterline builder

Created in NX6.0.0

License requirements: None.

Parameters
centerlineNXOpen.Annotations.BoltCircleCenterline to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
BoltCircleCenterlineBuilder object
unsafe NXOpen.Annotations.Centerline2dBuilder NXOpen.Annotations.CenterlineCollection.CreateCenterline2dBuilder ( NXOpen.Annotations.Centerline2d  cline)
inline

Creates the 2D Centerline builder

Created in NX6.0.0

License requirements: None.

Parameters
clineNXOpen.Annotations.Centerline2d to be edited
Returns
Centerline2dBuilder object
unsafe NXOpen.Annotations.Centerline3dBuilder NXOpen.Annotations.CenterlineCollection.CreateCenterline3dBuilder ( NXOpen.Annotations.Centerline3d  cline)
inline

Creates the 3D Centerline builder

Created in NX6.0.0

License requirements: None.

Parameters
clineNXOpen.Annotations.Centerline3d to be edited
Returns
Annotations.Centerline3dBuilder object
unsafe NXOpen.Annotations.CenterMarkBuilder NXOpen.Annotations.CenterlineCollection.CreateCenterMarkBuilder ( NXOpen.Annotations.CenterMark  centerline)
inline

Creates the CenterMark Builder

Created in NX6.0.0

License requirements: None.

Parameters
centerlineNXOpen.Annotations.CenterMark to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
CenterMarkBuilder Object
unsafe NXOpen.Annotations.CircularCenterlineBuilder NXOpen.Annotations.CenterlineCollection.CreateCircularCenterlineBuilder ( NXOpen.Annotations.CircularCenterline  centerline)
inline

Creates the CircularCenterline builder

Created in NX6.0.0

License requirements: None.

Parameters
centerlineNXOpen.Annotations.CircularCenterline to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
CircularCenterlineBuilder object
unsafe NXOpen.Annotations.PmiBoltCircleCenterlineBuilder NXOpen.Annotations.CenterlineCollection.CreatePmiBoltCircleCenterlineBuilder ( NXOpen.Annotations.PmiBoltCircleCenterline  centerline)
inline

Creates the PMI BoltCircleCenterline builder

Created in NX12.0.0

License requirements: None.

Parameters
centerlineNXOpen.Annotations.PmiBoltCircleCenterline to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
PmiBoltCircleCenterlineBuilder object
unsafe NXOpen.Annotations.PmiCenterline3dBuilder NXOpen.Annotations.CenterlineCollection.CreatePmiCenterline3dBuilder ( NXOpen.Annotations.PmiCenterline3d  cline)
inline

Creates the Pmi 3D Centerline builder

Created in NX7.5.0

License requirements: None.

Parameters
clineNXOpen.Annotations.PmiCenterline3d to be edited
Returns
PmiCenterline3dBuilder object
unsafe NXOpen.Annotations.PmiCenterMarkBuilder NXOpen.Annotations.CenterlineCollection.CreatePmiCenterMarkBuilder ( NXOpen.Annotations.PmiCenterMark  centerline)
inline

Creates the Pmi CenterMark Builder

Created in NX7.5.0

License requirements: None.

Parameters
centerlineNXOpen.Annotations.PmiCenterMark to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
PmiCenterMarkBuilder Object
unsafe NXOpen.Annotations.SymmetricalCenterlineBuilder NXOpen.Annotations.CenterlineCollection.CreateSymmetricalCenterlineBuilder ( NXOpen.Annotations.SymmetricalCenterline  centerline)
inline

Creates the Symmetrical Centerline builder

Created in NX6.0.0

License requirements: None.

Parameters
centerlineNXOpen.Annotations.SymmetricalCenterline to be edited, if a null reference (Nothing in Visual Basic) then create a new one
Returns
SymmetricalCenterlineBuilder object
override int NXOpen.Annotations.CenterlineCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.Annotations.Centerline NXOpen.Annotations.CenterlineCollection.FindObject ( string  journalIdentifier)
inline

Finds the Centerline with the given name.

An exception will be thrown if no object can be found with given name

Created in NX6.0.0

License requirements: None.

Parameters
journalIdentifierIdentifier of the centerline to be found
Returns
Centerline with this identifier
NXOpen.Annotations.Centerline [] NXOpen.Annotations.CenterlineCollection.ToArray ( )
inline

Returns an array of NXOpen.Annotations.Centerline objects.

Property Documentation

Tag NXOpen.Annotations.CenterlineCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.